Bug 466902 - iSCSI text-mode failure - Need more than 3 values to unpack
iSCSI text-mode failure - Need more than 3 values to unpack
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
All Linux
medium Severity medium
: beta
: ---
Assigned To: Hans de Goede
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 08:57 EDT by James Laska
Modified: 2013-09-02 02:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:36:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
5.3-anaconda-logs.tgz (11.33 KB, application/octet-stream)
2008-10-14 08:57 EDT, James Laska
no flags Details
Failure Screenshot (92.04 KB, image/jpeg)
2008-10-14 08:58 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-10-14 08:57:37 EDT
Created attachment 320293 [details]
5.3-anaconda-logs.tgz

Description of problem:

Attempts to add an iSCSI volume in text-mode fail


Version-Release number of selected component (if applicable):

TREE - RHEL5.3-Server-20081014.nightly
ANACONDA - anaconda-11.1.2.140-1.i386

How reproducible:
100%

Steps to Reproduce:
1. Boot into the installer for RHEL5.3-Server-20081014.nightly (add "text" boot prompt)
2. At disk partitioning, press <F2> to add a iSCSI drive
3. Select iSCSI
4. Enter IP=192.168.33.219 and initiator name:iqn.ibft0
  
Actual results:
An error prompt that says "Need more than 3 values to unpack"

Expected results:
Adding the iSCSI volume 

Additional info:

Works fine in graphical mode
Comment 1 James Laska 2008-10-14 08:58:46 EDT
Created attachment 320294 [details]
Failure Screenshot
Comment 3 RHEL Product and Program Management 2008-10-14 10:39:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 James Laska 2008-10-14 11:08:28 EDT
Testing with updates=http://clumens.fedorapeople.org/updates.img resolves this reported issue in text-mode.
Comment 5 Chris Lumens 2008-10-14 11:11:02 EDT
This will be fixed in anaconda-11.1.2.142.  I'll move that updates image to http://clumens.fedorapeople.org/466902.img so people can continue to use it while I work on other stuff.
Comment 6 RHEL Product and Program Management 2008-10-14 11:32:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Alexander Todorov 2008-10-22 04:53:24 EDT
I was able to add the iSCSI drive but then partitioning failed with:

| vgcreate failed for VolGroup00                          |           
|                                                         |           
| The installer will now exit...   

will try graphical and see if it works.
Comment 11 Hans de Goede 2008-11-03 04:46:13 EST
(In reply to comment #9)
> I was able to add the iSCSI drive but then partitioning failed with:
> 
> | vgcreate failed for VolGroup00                          |           
> |                                                         |           
> | The installer will now exit...   
> 
> will try graphical and see if it works.

That is a different issue then reported in this bug, if the error prompt that says "Need more than 3 values to unpack" is fixed please note so here so this bug can be marked as verified and open a new bug for the issue you are seeing now.

Also when you file a new bug please be much much more verbose about what you are seeing, the description of the problem you've given above is not very useful.

When you file a new bug, please include atleast the following:
-Which version where you using (which RHEL-5.3 nightly?)
-Which choices did you make leading up to the error (what kind of
 partitioning scheme did you use, is this an install or an update, etc.)
-What did you do before the error happened (on which screen where you, and
 which button did you push).

Also in the future, with any issues you want to report:
1) please don't tag unrelated issues onto existing bug reports
2) be much much more verbose both in the initial report and in any comments you 
   add
Comment 13 Hans de Goede 2008-11-03 13:48:48 EST
Alexander, could it be that what you are seeing is the same as bug 466902 ?
Comment 14 Hans de Goede 2008-11-03 13:49:44 EST
Alexander, sorry this is bug 466902, I meant the same as bug 469700 ?
Comment 15 Alexander Todorov 2008-11-04 02:36:11 EST
Hans,
sounds possible that I hit bug #469700. The iSCSI drive I used has been previously used for other installs.
Comment 16 Hans de Goede 2008-11-04 03:09:57 EST
(In reply to comment #15)
> Hans,
> sounds possible that I hit bug #469700. The iSCSI drive I used has been
> previously used for other installs.

Could you try wiping the first and last MB of that disk using dd, and then try again?
Comment 18 Hans de Goede 2008-11-10 11:13:25 EST
(In reply to comment #15)
> Hans,
> sounds possible that I hit bug #469700. The iSCSI drive I used has been
> previously used for other installs.

Alexander, can you please try again with this updates.img:
http://rvykydal.fedorapeople.org/updates.wipelvm.149.img

That fixes bug #469700, and most likely the issue you are seeing here.
Comment 19 Alexander Todorov 2008-11-11 09:14:41 EST
install with snap #2 and iscsi details form comment #0 resulted in: 

1) the error in comment #0 was not seen
2) using updates.img from comment #18 the error from comment #9 didn't occur

I'm moving this one to VERIFIED
Comment 21 errata-xmlrpc 2009-01-20 16:36:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0164.html

Note You need to log in before you can comment on or make changes to this bug.